Index: /branches/dev_003_CPL/NEMO/OPA_SRC/SBC/sbcice_lim_2.F90
===================================================================
--- /branches/dev_003_CPL/NEMO/OPA_SRC/SBC/sbcice_lim_2.F90	(revision 990)
+++ /branches/dev_003_CPL/NEMO/OPA_SRC/SBC/sbcice_lim_2.F90	(revision 991)
@@ -12,9 +12,9 @@
    !!   'key_lim2' :                                  LIM 2.0 sea-ice model
    !!----------------------------------------------------------------------
+   !!----------------------------------------------------------------------
    !!   sbc_ice_lim_2  : sea-ice model time-stepping and
    !!                    update ocean sbc over ice-covered area
    !!----------------------------------------------------------------------
    USE oce             ! ocean dynamics and tracers
-   USE c1d             ! 1d configuration
    USE dom_oce         ! ocean space and time domain
    USE ice_2
@@ -46,5 +46,4 @@
    USE in_out_manager  ! I/O manager
    USE prtctl          ! Print control
-   USE ocfzpt          ! ocean freezing point
 
    IMPLICIT NONE
@@ -59,6 +58,6 @@
 #  include "vectopt_loop_substitute.h90"
    !!----------------------------------------------------------------------
-   !! NEMO/SBC  3.0 , LOCEAN-IPSL (2008) 
-   !! $Id: $
+   !!   OPA 9.0 , LOCEAN-IPSL (2006) 
+   !! $ Id: $
    !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
@@ -90,5 +89,4 @@
       !!
       INTEGER  ::   ji, jj   ! dummy loop indices
-      REAL(wp) ::   zinda    
       REAL(wp), DIMENSION(jpi,jpj,1) ::   alb_ice_os   ! albedo of the ice under overcast sky
       REAL(wp), DIMENSION(jpi,jpj,1) ::   alb_ice_cs   ! albedo of ice under clear sky
@@ -126,12 +124,17 @@
 
          ! ... masked sea surface freezing temperature [Kelvin] (set to rt0 over land)
-         tfu(:,:) = tfreez( sss_m ) +  rt0 
-
-         zsist (:,:,1) = sist (:,:)
-         zhicif(:,:,1) = hicif(:,:)   ;   zhsnif(:,:,1) = hsnif(:,:)
+         tfu(:,:) = tfreez( sss_m ) + rt0 
+
 
          ! ... ice albedo
-         CALL albedo_ice( zsist, zhicif, zhsnif, alb_ice_cs, alb_ice_os )
-
+         
+         IF ( nsbc /= 5 ) THEN
++++ INTERFACE 2D/3D suprimer les tableaux intermediaires
++++ les mettre sous cle cpp
++++ il faudrait utiliser les variables de transfert pour tn_ice, ice/snow thickness, albedo...
+
+            zsist (:,:,1) = sist (:,:)
+            zhicif(:,:,1) = hicif(:,:)   ;   zhsnif(:,:,1) = hsnif(:,:)
+            CALL albedo_ice( zsist, zhicif, zhsnif, alb_ice_cs, alb_ice_os )
          ! ... Sea-ice surface boundary conditions output from bulk formulae :
          !     - utaui_ice  ! surface ice stress i-component (I-point)   [N/m2]
@@ -154,13 +157,4 @@
                &                               tprecip   , sprecip    ,                          &
                &                               fr1_i0    , fr2_i0     , cl_grid  )
-
-            ! CAUTION: ocean shortwave radiation sets to zero if more than 50% of sea-ice !!gm to be removed
-            DO jj = 1, jpj
-               DO ji = 1, jpi
-                  zinda    = MAX(  0.e0, SIGN(  1.e0, -( -1.5 - freeze(ji,jj) )  )  )
-                  qsr(ji,jj) = zinda * qsr(ji,jj)
-               END DO
-            END DO
-
          CASE( 4 )           ! CORE bulk formulation
             CALL blk_ice_core( zsist , ui_ice , vi_ice   , alb_ice_cs ,                         &
@@ -175,4 +169,5 @@
          qla_ice(:,:) = zqla_ice(:,:,1)   ;   dqla_ice(:,:) = zdqla_ice(:,:,1)
 
+         ENDIF
          IF(ln_ctl) THEN         ! print mean trends (used for debugging)
             CALL prt_ctl_info( 'Ice Forcings ' )
@@ -188,15 +183,13 @@
          !  Ice model step  !
          ! ---------------- !
-                                        CALL lim_rst_opn_2  ( kt )      ! Open Ice restart file
-         IF( .NOT. lk_c1d ) THEN                                        ! Ice dynamics & transport (not in 1D case)
-                                        CALL lim_dyn_2      ( kt )           ! Ice dynamics    ( rheology/dynamics )
-                                        CALL lim_trp_2      ( kt )           ! Ice transport   ( Advection/diffusion )
-            IF( ln_limdmp )             CALL lim_dmp_2      ( kt )           ! Ice damping 
-         ENDIF
-                                        CALL lim_thd_2      ( kt )      ! Ice thermodynamics 
-                                        CALL lim_sbc_2      ( kt )      ! Ice/Ocean Mass & Heat fluxes 
+         ;                              CALL lim_rst_opn_2  ( kt )      ! Open Ice restart file
+         ;                              CALL lim_dyn_2      ( kt )      ! Ice dynamics    ( rheology/dynamics )
+         ;                              CALL lim_trp_2      ( kt )      ! Ice transport   ( Advection/diffusion )
+         IF( ln_limdmp )                CALL lim_dmp_2      ( kt )      ! Ice damping 
+         ;                              CALL lim_thd_2      ( kt )      ! Ice thermodynamics 
+         ;                              CALL lim_sbc_2      ( kt )      ! Ice/Ocean Mass & Heat fluxes 
          IF( MOD( kt+nn_fsbc-1, ninfo ) == 0 .OR.   &
             &  ntmoy == 1 )             CALL lim_dia_2      ( kt )      ! Ice Diagnostics 
-                                        CALL lim_wri_2      ( kt )      ! Ice outputs 
+         ;                              CALL lim_wri_2      ( kt )      ! Ice outputs 
          IF( lrst_ice )                 CALL lim_rst_write_2( kt )      ! Ice restart file 
          !
Index: /branches/dev_003_CPL/NEMO/OPA_SRC/SBC/sbcmod.F90
===================================================================
--- /branches/dev_003_CPL/NEMO/OPA_SRC/SBC/sbcmod.F90	(revision 990)
+++ /branches/dev_003_CPL/NEMO/OPA_SRC/SBC/sbcmod.F90	(revision 991)
@@ -49,5 +49,5 @@
    LOGICAL , PUBLIC ::   ln_blk_clio = .FALSE.   !: CLIO bulk formulation
    LOGICAL , PUBLIC ::   ln_blk_core = .FALSE.   !: CORE bulk formulation
-   LOGICAL , PUBLIC ::   ln_cpl      = .FALSE.   !: coupled   formulation (overwritten by key_sbc_coupled )
+   LOGICAL , PUBLIC ::   ln_cpl      = .FALSE.   !: coupled   formulation (overwritten by key_oasis3/4 )
    LOGICAL , PUBLIC ::   ln_dm2dc    = .FALSE.   !: Daily mean to Diurnal Cycle short wave (qsr)
    LOGICAL , PUBLIC ::   ln_rnf      = .FALSE.   !: runoffs / runoff mouths
Index: /branches/dev_003_CPL/NEMO/OPA_SRC/SBC/sbcrnf_ORCA_R05.h90
===================================================================
--- /branches/dev_003_CPL/NEMO/OPA_SRC/SBC/sbcrnf_ORCA_R05.h90	(revision 990)
+++ /branches/dev_003_CPL/NEMO/OPA_SRC/SBC/sbcrnf_ORCA_R05.h90	(revision 991)
@@ -84,7 +84,4 @@
       INTEGER, INTENT( in  ) ::   kt ! ocean time step
 
-#if defined key_coupled
-      runoff(:,:) = 0.0e0
-#else
       !!----------------------------------------------------------------------
       !!  ORCA_R05
@@ -1532,6 +1529,4 @@
          ENDIF
       ENDIF
-    
-#endif
 
    END SUBROUTINE flx_rnf
Index: /branches/dev_003_CPL/NEMO/OPA_SRC/geo2ocean.F90
===================================================================
--- /branches/dev_003_CPL/NEMO/OPA_SRC/geo2ocean.F90	(revision 990)
+++ /branches/dev_003_CPL/NEMO/OPA_SRC/geo2ocean.F90	(revision 991)
@@ -329,5 +329,5 @@
 
    SUBROUTINE geo2oce ( pxx , pyy , pzz, cgrid,     &
-                        plon, plat, pte, ptn  , ptv )
+                        plon, plat, pte, ptn )
       !!----------------------------------------------------------------------
       !!                    ***  ROUTINE geo2oce  ***
@@ -346,24 +346,15 @@
       !!----------------------------------------------------------------------
       !! * Local declarations
-      REAL(wp), INTENT( in ), DIMENSION(jpi,jpj) ::   &
-         pxx, pyy, pzz
-      CHARACTER (len=1), INTENT( in) ::   &
-         cgrid
-      REAL(wp), INTENT( in ), DIMENSION(jpi,jpj) ::   &
-         plon, plat
-      REAL(wp), INTENT(out), DIMENSION(jpi,jpj) ::    &
-         pte, ptn, ptv
+      REAL(wp), DIMENSION(jpi,jpj), INTENT( IN    ) ::  pxx, pyy, pzz
+      CHARACTER(len=1)            , INTENT( IN    ) ::  cgrid
+      REAL(wp), DIMENSION(jpi,jpj), INTENT( IN    ) ::  plon, plat
+      REAL(wp), DIMENSION(jpi,jpj), INTENT(   OUT ) ::  pte, ptn
+      !
       REAL(wp), PARAMETER :: rpi = 3.141592653E0
       REAL(wp), PARAMETER :: rad = rpi / 180.e0
-
-      !! * Local variables
       INTEGER ::   ig     !
-
       !! * Local save
-      REAL(wp), SAVE, DIMENSION(jpi,jpj,4) ::   &
-         zsinlon, zcoslon,   &
-         zsinlat, zcoslat
-      LOGICAL, SAVE, DIMENSION (4) ::   &
-         linit = .FALSE.
+      REAL(wp), SAVE, DIMENSION(jpi,jpj,4) ::   zsinlon, zcoslon, zsinlat, zcoslat
+      LOGICAL , SAVE, DIMENSION(4)         ::   linit = .FALSE.
       !!----------------------------------------------------------------------
 
@@ -392,7 +383,7 @@
             - zsinlon (:,:,ig) * zsinlat (:,:,ig) * pyy    &
             + zcoslat (:,:,ig) * pzz
-      ptv =   zcoslon (:,:,ig) * zcoslat (:,:,ig) * pxx    &
-            + zsinlon (:,:,ig) * zcoslat (:,:,ig) * pyy    &
-            + zsinlat (:,:,ig) * pzz
+!!$      ptv =   zcoslon (:,:,ig) * zcoslat (:,:,ig) * pxx    &
+!!$            + zsinlon (:,:,ig) * zcoslat (:,:,ig) * pyy    &
+!!$            + zsinlat (:,:,ig) * pzz
 
    END SUBROUTINE geo2oce
Index: /branches/dev_003_CPL/NEMO/OPA_SRC/ice_oce.F90
===================================================================
--- /branches/dev_003_CPL/NEMO/OPA_SRC/ice_oce.F90	(revision 990)
+++ /branches/dev_003_CPL/NEMO/OPA_SRC/ice_oce.F90	(revision 991)
@@ -33,16 +33,4 @@
    !! ice-ocean common variables
    !!----------------------------------------------------------------------
-# if defined key_coupled
-   REAL(wp), PUBLIC, DIMENSION(jpiglo,jpjglo) ::   &  !: cumulated fields
-      fqsr_oce ,      &   !: Net short wave heat flux on free ocean 
-      fqsr_ice ,      &   !: Net short wave heat flux on sea ice 
-      fqnsr_oce,      &   !: Net longwave heat flux on free ocean
-      fqnsr_ice,      &   !: Net longwave heat flux on sea ice
-      fdqns_ice,      &   !: Derivative of non solar heat flux on sea ice
-      ftprecip ,      &   !: Water flux (liquid precipitation - evaporation) 
-      fsprecip ,      &   !: Solid (snow) precipitation
-      frunoff  ,      &   !: runoff
-      fcalving            !: Iceberg calving 
-# endif
 
 # if defined key_lim3
@@ -51,11 +39,10 @@
       tatm_ice       , &  !: air temperature
       icethi              !: icethickness
-# endif
-   
+# endif   
    REAL(wp), PUBLIC ::   &  !:
       rdt_ice,           &  !: ice time step
       dtsd2                 !: ice time step divide by 2
+#else
 
-#else
    !!----------------------------------------------------------------------
    !!   Default option                      NO LIM 2.0 or 3.0 sea-ice model
Index: /branches/dev_003_CPL/NEMO/OPA_SRC/lib_mpp.F90
===================================================================
--- /branches/dev_003_CPL/NEMO/OPA_SRC/lib_mpp.F90	(revision 990)
+++ /branches/dev_003_CPL/NEMO/OPA_SRC/lib_mpp.F90	(revision 991)
@@ -61,7 +61,4 @@
    PUBLIC  mpp_lbc_north_e, mpp_minloc, mpp_maxloc, mpp_lnk_3d, mpp_lnk_2d, mpp_lnk_3d_gather, mpp_lnk_2d_e, mpplnks
    PUBLIC  mpprecv, mppsend, mppscatter, mppgather, mppobc, mpp_ini_north, mppstop, mppsync, mpp_ini_ice, mpp_comm_free
-#if defined key_oasis3 || defined key_oasis4
-   PUBLIC  mppsize, mpprank
-#endif
 
    !! * Interfaces
Index: /branches/dev_003_CPL/NEMO/OPA_SRC/ocfzpt.F90
===================================================================
--- /branches/dev_003_CPL/NEMO/OPA_SRC/ocfzpt.F90	(revision 990)
+++ /branches/dev_003_CPL/NEMO/OPA_SRC/ocfzpt.F90	(revision 991)
@@ -18,5 +18,4 @@
    !! * Shared module variables   
    REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   &  !:
-      freeze, freezn,  &  !: after and now ice mask (0 or 1)
       fzptb, fzptn        !: before and now freezing point
    !!----------------------------------------------------------------------
Index: /branches/dev_003_CPL/NEMO/OPA_SRC/opa.F90
===================================================================
--- /branches/dev_003_CPL/NEMO/OPA_SRC/opa.F90	(revision 990)
+++ /branches/dev_003_CPL/NEMO/OPA_SRC/opa.F90	(revision 991)
@@ -38,5 +38,4 @@
    !! * Modules used
    USE oce             ! dynamics and tracers variables
-   USE cpl_oce         ! ocean-atmosphere-sea ice coupled exchanges
    USE dom_oce         ! ocean space domain variables
    USE sbc_oce         ! surface boundary condition: ocean
@@ -70,9 +69,5 @@
 
    USE step            ! OPA time-stepping                  (stp     routine)
-#if defined key_oasis3
-   USE cpl_oasis3      ! OASIS3 coupling (to ECHAM5)
-#elif defined key_oasis4
-   USE cpl_oasis4      ! OASIS4 coupling (to ECHAM5)
-#endif
+   USE cpl_oasis3      ! OASIS3 coupling
    USE dynspg_oce      ! Control choice of surface pressure gradient schemes
    USE prtctl          ! Print control                 (prt_ctl_init routine)
@@ -159,10 +154,8 @@
 
       CALL opa_closefile
-#if defined key_oasis3 || defined key_oasis4
-      call cpl_prism_finalize
-#else
-      IF( lk_mpp )   CALL mppstop                          ! Close all files (mpp)
-#endif
-      !
+      IF      ( lk_cpl ) THEN   ;   CALL cpl_prism_finalize
+      ELSE IF ( lk_mpp ) THEN   ;   CALL mppstop                ! Close all files (mpp)
+      ENDIF
+                          
    END SUBROUTINE opa_model
 
@@ -175,10 +168,5 @@
       !!
       !!----------------------------------------------------------------------
-#if defined key_coupled
-      INTEGER ::   itro, istp0        ! ???
-#endif
-#if defined key_oasis3 || defined key_oasis4
       INTEGER :: localComm
-#endif
       CHARACTER (len=20) ::   namelistname
       CHARACTER (len=28) ::   file_out
@@ -212,12 +200,11 @@
       READ  ( numnam, namctl )
 
-#if defined key_oasis3 || defined key_oasis4
-      call cpl_prism_init(localComm)
-      ! Nodes selection
-      narea = mynode(localComm)
-#else
-      ! Nodes selection
-      narea = mynode()
-#endif
+      IF ( lk_cpl ) THEN
+         CALL cpl_prism_init()
+         narea = mynode(nlocalComm)
+      ELSE 
+         narea = mynode()
+      ENDIF
+          
       narea = narea + 1    ! mynode return the rank of proc (0 --> jpnij -1 )
       lwp   = narea == 1
@@ -290,17 +277,6 @@
       CALL trd_mod_init                         ! Mixed-layer/Vorticity/Integral constraints trends
 
-
 #if defined key_top
       CALL ini_trc                           ! Passive tracers
-#endif
-
-#if defined key_coupled && ! defined key_oasis3 && ! defined key_oasis4
-      itro  = nitend - nit000 + 1           ! Coupled
-      istp0 = NINT( rdt )
-      CALL cpl_init( itro, nexco, istp0 )   ! Signal processing and process id exchange
-#endif
-
-#if defined key_oasis3 || defined key_oasis4
-      CALL cpl_prism_define
 #endif
 
Index: /branches/dev_003_CPL/NEMO/OPA_SRC/step.F90
===================================================================
--- /branches/dev_003_CPL/NEMO/OPA_SRC/step.F90	(revision 990)
+++ /branches/dev_003_CPL/NEMO/OPA_SRC/step.F90	(revision 991)
@@ -364,6 +364,5 @@
       !<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
 
-#if defined key_oasis3
-      IF( lk_cpl    )   CALL cpl_stp( kstp )                 ! coupled mode : field exchanges
+      IF( lk_cpl    )   CALL sbc_cpl_snd( kstp )                 ! coupled mode : field exchanges
 #endif
       !
